%define		_status		devel
%define		_pearname	DBA_Relational
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Berkeley-style database abstraction class
Summary(pl.UTF-8):	%{_pearname} - abstrakcyjna klasa w stylu bazy danych Berkeley
Name:		php-pear-%{_pearname}
Version:	0.19
Release:	10
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	eab476d233ca303e6e13e3a01c221d59
URL:		http://pear.php.net/package/DBA_Relational/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.0.4-0.pl1
Requires:	php-pear
Requires:	php-pear-DBA
Obsoletes:	php-pear-DBA_Relational-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests package
%define		_noautoreq pear(empSchema.php) pear(hatSchema.php)

%description
Table management extension for DBA.

%description -l pl.UTF-8
Rozszerzenie klasy DBA do zarządzania tabelami.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/DBA/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 8c0cebe
- use php(core) for php engine version deps
- release 9 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2e77fae
- release 9

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 067bde3
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> c4b7e6c
- updated deps with pearize.sh
- release 8

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 8229d0a
- rel 7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f03c6e3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aa02a3c
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> c84be92
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 8a09ee1
- AutoProv: no for -tests

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 941d0a6
- rel 6 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 2868969
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> ece8450
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 80064af
- AutoReq: no for -tests

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 0ec1e4b
- rel 5

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> d9e494f
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 48d9ccc
- pl for -tests

* Tue Sep 20 2005 Elan Ruusamäe <glen@pld-linux.org> 3a852e3
- make tests package installable

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> b94e997
- integer BR

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> b1bbd6e
- use new pear build system

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> 9cf33ff
- rebuild with new PEAR provides/requires scripts
- release 4

